PipeWire: session-manager.c File Reference

PipeWire 0.3.37

Data Structures | Macros | Functions
session-manager.c File Reference
Include dependency graph for session-manager.c:

## Data Structures
struct | impl

## Macros
#define | NAME "session-manager"
#define | SESSION_KEY "session-manager"

## Functions
int | sm_stream_endpoint_start (struct sm_media_session *sess)
int | sm_v4l2_endpoint_start (struct sm_media_session *sess)
int | sm_bluez5_endpoint_start (struct sm_media_session *sess)
int | sm_alsa_endpoint_start (struct sm_media_session *sess)
int | sm_policy_ep_start (struct sm_media_session *sess)
int | sm_session_manager_start (struct sm_media_session *session)

## Macro Definition Documentation

## ◆ NAME

#define NAME "session-manager"

## ◆ SESSION_KEY

#define SESSION_KEY "session-manager"

## Function Documentation

## ◆ sm_alsa_endpoint_start()

int sm_alsa_endpoint_start | ( | struct sm_media_session * | sess | ) |

References impl::listener, impl::session, and sm_media_session_add_listener().

## ◆ sm_bluez5_endpoint_start()

int sm_bluez5_endpoint_start | ( | struct sm_media_session * | sess | ) |

References impl::listener, impl::session, and sm_media_session_add_listener().

## ◆ sm_policy_ep_start()

int sm_policy_ep_start | ( | struct sm_media_session * | sess | ) |

References impl::context, impl::endpoint_list, impl::listener, impl::session, sm_media_session_add_listener(), and spa_list_init().

## ◆ sm_session_manager_start()

int sm_session_manager_start | ( | struct sm_media_session * | session | ) |

References impl::context, impl::listener, impl::session, and sm_media_session_add_listener().

## ◆ sm_stream_endpoint_start()

int sm_stream_endpoint_start | ( | struct sm_media_session * | sess | ) |

References impl::listener, impl::session, and sm_media_session_add_listener().

## ◆ sm_v4l2_endpoint_start()

int sm_v4l2_endpoint_start | ( | struct sm_media_session * | sess | ) |

References impl::listener, impl::session, and sm_media_session_add_listener().